astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- CompositeStaticMatrixTransform

# CompositeStaticMatrixTransform

class `astropy.coordinates.transformations.``CompositeStaticMatrixTransform`(fromsys, tosys, matricies, priority=1, register=True)

  Bases: `astropy.coordinates.transformations.StaticMatrixTransform`

  A `MatrixTransform` constructed by combining a sequence of matricies together. See `MatrixTransform` for syntax details.

  Parameters:

  fromsys : class

  > The coordinate system class to start from.

  tosys : class

  > The coordinate system class to transform into.

  matrices : sequence of array-like

  > A sequence of 3 x 3 cartesian transformation matricies.

  priority : number

  > The priority if this transform when finding the shortest coordinate tranform path - large numbers are lower priorities.